Gecode::Int::Element::Int< V0, V1, Idx, Val >::IterIdxUnmark Class Reference

Value iterator for indices in index-value map. More...

`#include <element.hh>`

## Public Member Functions

| IterIdxUnmark (IdxVal *iv)
| Initialize with start.
bool | operator() (void) const
| Test whether more pairs to be iterated.
void | operator++ (void)
| Move to next index value pair (next index).
Idx | val (void) const
| Return index of current index value pair.

## Detailed Description

template<class V0, class V1, class Idx, class Val>
class Gecode::Int::Element::Int< V0, V1, Idx, Val >::IterIdxUnmark

Value iterator for indices in index-value map.

The iterator also removes marked index-value pairs.

Definition at line 84 of file element.hh.

## Constructor & Destructor Documentation

## IterIdxUnmark()

template<class V0, class V1, class Idx, class Val>

Gecode::Int::Element::Int< V0, V1, Idx, Val >::IterIdxUnmark::IterIdxUnmark | ( | IdxVal * | iv | ) |

inline

Initialize with start.

Definition at line 53 of file int.hpp.

## Member Function Documentation

## operator()()

template<class V0, class V1, class Idx, class Val>

bool Gecode::Int::Element::Int< V0, V1, Idx, Val >::IterIdxUnmark::operator() | ( | void |  | ) | const

inline

Test whether more pairs to be iterated.

Definition at line 63 of file int.hpp.

## operator++()

template<class V0, class V1, class Idx, class Val>

void Gecode::Int::Element::Int< V0, V1, Idx, Val >::IterIdxUnmark::operator++ | ( | void |  | ) |

inline

Move to next index value pair (next index).

Definition at line 68 of file int.hpp.

## val()

template<class V0, class V1, class Idx, class Val>

Idx Gecode::Int::Element::Int< V0, V1, Idx, Val >::IterIdxUnmark::val | ( | void |  | ) | const

inline

Return index of current index value pair.

Definition at line 77 of file int.hpp.

The documentation for this class was generated from the following files:

- gecode/int/element.hh
- gecode/int/element/int.hpp